﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Net.Sockets;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string ipAddr = args[0];
            int port = int.Parse(args[1]);
            int numberOf = int.Parse(args[2]);

            List<Socket> clients1 = new List<Socket>();

            try
            {
                for (int i = 0; i < numberOf; i++)
                {
                    try
                    {
                        Socket client = new Socket(AddressFamily.InterNetwork, SocketType.Stream, ProtocolType.Tcp);
                        client.Bind(new IPEndPoint(IPAddress.Any, 0));
                        client.Connect(ipAddr, port);

                        Console.WriteLine($"{client.LocalEndPoint}-{client.RemoteEndPoint}");

                        clients1.Add(client);
                    }
                    catch { }
                }
            }
            catch (Exception e)
            {
                Console.WriteLine(e.ToString());
            }

            Console.WriteLine($"{clients1.Count}");

            while (true)
            {
                string txt = Console.ReadLine();
                if (txt == "1")
                {
                    foreach (var cla in clients1)
                    {
                        cla.Close();
                    }
                }
                Console.ReadLine();
            }
        }
    }
}