﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Net.Sockets;
using System.Threading;

namespace ConsoleApp1
{
    class Program
    {
        static List<TcpClient> _cla17000 = new List<TcpClient>();
        static List<TcpClient> _cla17001 = new List<TcpClient>();

        static void Main(string[] args)
        {
            Thread t = new Thread(CountFunc);
            t.IsBackground = true;
            t.Start();

            bool active1 = true;
            bool active2 = true;

            if (args.Length >= 1)
            {
                if (args[0] == "1")
                {
                    active2 = false;
                }
                else if (args[0] == "2")
                {
                    active1 = false;
                }
            }

            if (active1 == true)
            {
                Thread t17000 = new Thread(acceptFunc);
                t17000.IsBackground = true;
                t17000.Start(17000);
            }

            if (active2 == true)
            {
                Thread t17001 = new Thread(acceptFunc);
                t17001.IsBackground = true;
                t17001.Start(17001);
            }

            while (true)
            {
                string txt = Console.ReadLine();
                if (txt == "1")
                {
                    foreach (var cla in _cla17000)
                    {
                        try
                        {
                            cla.Close();
                        } catch { }
                    }

                    _cla17000.Clear();
                }

                Console.WriteLine(DateTime.Now);
            }
        }

        private static void acceptFunc(object objPort)
        {
            int port = (int)objPort;

            TcpListener svr = new TcpListener(IPAddress.Any, port);
            {
                svr.Start();

                while (true)
                {
                    TcpClient client = svr.AcceptTcpClient();

                    if (port == 17000)
                    {
                        _cla17000.Add(client);
                    }
                    else
                    {
                        _cla17001.Add(client);
                    }
                }
            }
        }

        private static void CountFunc()
        {
            while (true)
            {
                Console.WriteLine($"# of 17000: {_cla17000.Count}, 17001: {_cla17001.Count}");
                Thread.Sleep(5000);
            }
        }
    }
}
